Index: pbx/pbx_spool.c
===================================================================
RCS file: /usr/cvsroot/asterisk/pbx/pbx_spool.c,v
retrieving revision 1.32
diff -u -r1.32 pbx_spool.c
--- pbx/pbx_spool.c	24 Oct 2005 20:12:06 -0000	1.32
+++ pbx/pbx_spool.c	20 Nov 2005 02:42:17 -0000
@@ -202,11 +202,16 @@
 				} else if (!strcasecmp(buf, "setvar") || !strcasecmp(buf, "set")) {
 					c2 = c;
 					strsep(&c2, "=");
-					var = ast_variable_new(c, c2);
-					if (var) {
-						var->next = o->vars;
-						o->vars = var;
+					if (c2)
+					{
+						var = ast_variable_new(c, c2);
+						if (var) {
+							var->next = o->vars;
+							o->vars = var;
+						}
 					}
+					else
+						ast_log(LOG_WARNING, "Malformed \"%s\" argument.  Should be \"%s: variable=value\"\n", buf, buf);
 				} else if (!strcasecmp(buf, "account")) {
 					var = ast_variable_new("CDR(accountcode|r)", c);
 					if (var) {	
